# class DOMPoint

#### package js.html

#### extends DOMPointReadOnly

Available on HTML5

A `DOMPoint` represents a 2D or 3D point in a coordinate system.

Documentation DOMPoint by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/DOMPoint

### Constructor

###

`new (x:Float, y:Float, z:Float = 0.0, w:Float = 1.0)`

`new (?point:DOMPointInit)`

Throws:

`null` | DOMError

### Inherited Variables

#### Defined by DOMPointReadOnly

###

`read onlyw:Float`

The perspective value of the `DOMPoint`.

###

`read onlyx:Float`

The x coordinate of the `DOMPoint`.

###

`read onlyy:Float`

The y coordinate of the `DOMPoint`.

###

`read onlyz:Float`

The z coordinate of the `DOMPoint`.

### Inherited Methods